/// <reference types="react" />
export declare const HeadButton: import("@emotion/styled/dist/declarations/src/types").StyledComponent<Omit<import("../../../StaticCalendar/StaticCalendarButton/useLogic").UseLogicParams, "ref"> & import("react").RefAttributes<HTMLButtonElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const HeadText: import("@emotion/styled/dist/declarations/src/types").StyledComponent<import("../../../Typography/types").TypographyPropsBase & {
    color?: import("../../../Typography").TypographyColor | undefined;
    variant?: import("../../../Typography").TypographyVariant | undefined;
    colorIntensity?: import("../../../Typography").Intensity | undefined;
    component?: import("../../../Typography/types").ComponentProp | undefined;
    isUpperCase?: boolean | undefined;
    withoutCalt?: boolean | undefined;
} & import("react").HTMLAttributes<HTMLParagraphElement> & import("react").RefAttributes<HTMLSpanElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
